<?php

if ( class_exists("Kirki")){

	//ADDITIONAL SETTINGS

Kirki::add_section( 'digital_marketing_elementor_additional_setting', array(
		'title'          => esc_html__( 'Additional Settings', 'digital-marketing-elementor' ),
		'description'    => esc_html__( 'Additional Settings of themes', 'digital-marketing-elementor' ),
		'priority'       => 10,
) );

Kirki::add_field( 'theme_config_id', [
	'type'        => 'toggle',
	'settings'    => 'digital_marketing_elementor_preloader_hide',
	'label'       => esc_html__( 'Here you can enable or disable your preloader.', 'digital-marketing-elementor' ),
	'section'     => 'digital_marketing_elementor_additional_setting',
	'default'     => '0',
	'priority'    => 10,
] );

Kirki::add_field( 'theme_config_id', [
	'type'        => 'toggle',
	'settings'    => 'digital_marketing_elementor_scroll_enable_setting',
	'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'digital-marketing-elementor' ),
	'section'     => 'digital_marketing_elementor_additional_setting',
	'default'     => '0',
	'priority'    => 10,
] );


	// HEADER SECTION

	Kirki::add_section( 'digital_marketing_elementor_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'digital-marketing-elementor' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'digital-marketing-elementor' ),
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_enable_timing_heading',
		'section'     => 'digital_marketing_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Timing', 'digital-marketing-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'digital_marketing_elementor_header_timing',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_enable_email_heading',
		'section'     => 'digital_marketing_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'digital-marketing-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Email ID', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_email',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_email_text',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_enable_location_heading',
		'section'     => 'digital_marketing_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'digital-marketing-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Location Address', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_location',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_location_text',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_header_phone_number_heading',
		'section'     => 'digital_marketing_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'digital-marketing-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Phone Number', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_phone_number',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
		'sanitize_callback' => 'digital_marketing_elementor_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Text', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_phone_number_text',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_enable_button_heading',
		'section'     => 'digital_marketing_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Header Button', 'digital-marketing-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    =>  esc_html__( 'Button Text', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_button_text',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'url',
		'label'    =>  esc_html__( 'Button URL', 'digital-marketing-elementor' ),
		'settings' => 'digital_marketing_elementor_header_button_url',
		'section'  => 'digital_marketing_elementor_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_enable_socail_link',
		'section'     => 'digital_marketing_elementor_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'digital-marketing-elementor' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'digital_marketing_elementor_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'digital-marketing-elementor' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'digital-marketing-elementor' ),
		'settings'     => 'digital_marketing_elementor_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'digital-marketing-elementor' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'digital-marketing-elementor' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'digital-marketing-elementor' ),
				'description' => esc_html__( 'Add the social icon url here.', 'digital-marketing-elementor' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 20
		],
	] );

	// FOOTER SECTION

	Kirki::add_section( 'digital_marketing_elementor_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'digital-marketing-elementor' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'digital-marketing-elementor' ),
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_footer_text_heading',
		'section'     => 'digital_marketing_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'digital-marketing-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'digital_marketing_elementor_footer_text',
		'section'  => 'digital_marketing_elementor_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'digital_marketing_elementor_footer_enable_heading',
		'section'     => 'digital_marketing_elementor_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'digital-marketing-elementor' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'digital_marketing_elementor_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'digital-marketing-elementor' ),
		'section'     => 'digital_marketing_elementor_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'digital-marketing-elementor' ),
			'off' => esc_html__( 'Disable', 'digital-marketing-elementor' ),
		],
	] );
}
